Skip to main content
GET
/
v1
/
documents
/
{document_id}
Get Document
curl --request GET \
  --url https://api.ontora.com/v1/documents/{document_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "workspace_id": "<string>",
  "source_type": "<string>",
  "external_id": "<string>",
  "created_at": "<string>",
  "updated_at": "<string>",
  "url": "<string>",
  "title": "<string>",
  "author_name": "<string>",
  "author_email": "<string>",
  "content_text": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.ontora.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

document_id
string<uuid>
required

Query Parameters

workspace_id
string<uuid>
required

Response

Successful Response

Full document details for source viewing.

id
string
required
workspace_id
string
required
source_type
string
required
external_id
string
required
created_at
string
required
updated_at
string
required
url
string | null
title
string | null
author_name
string | null
author_email
string | null
content_text
string | null